package examples.intro;

import javax.ejb.*;
import java.rmi.RemoteException;
import java.util.*;
import java.sql.Date;

public interface EmpBeanHome extends EJBHome {

    public Emp create(int empno, String ename, String job, int mgr,
		      Date hiredate, double sal, double comm,
		      int deptno)
	throws RemoteException, EJBException, CreateException;
 
    public Emp findByPrimaryKey(EmpBeanPK pk)
	throws RemoteException, FinderException;

    public Emp findByEmpno(int empno)
	throws RemoteException, FinderException;

    public Enumeration findByName(String name)
	throws RemoteException, FinderException;

    public Enumeration findByNameLike(String name)
	throws RemoteException, FinderException;

}

